Summary:	A Usenet newsreader for GNOME/GTK+
Name:		pan
Version:	0.144
Release:	1%{?dist}
Epoch:		1
License:	GPLv2
Group:		Applications/Internet
Source0:	http://pan.rebelbase.com/download/releases/%{version}/source/%{name}-%{version}.tar.bz2
URL:		http://pan.rebelbase.com/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	desktop-file-utils
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	glib2-devel  >= 2.26.0
BuildRequires:	gmime-devel >= 2.6.20
BuildRequires:	gtk2-devel  >= 2.16.0
BuildRequires:	gtkspell-devel >= 2.0.7
BuildRequires:	enchant-devel >= 1.6.0
BuildRequires:	libappstream-glib
BuildRequires:	libnotify-devel >= 0.4.1
BuildRequires:	libgnome-keyring-devel >= 3.2.0
BuildRequires:	itstool
BuildRequires:	yelp-tools
# In the past, we could not link GPLv2-only Pan with GnuTLS due to libgnutls being effectively LGPLv3+
# However, the GnuTLS libs are now clearly LGPLv2+, which is compatible.
BuildRequires:	gnutls-devel

%description
Pan is a Usenet newsreader which attempts to be pleasant to
new and advanced users alike. It has all the standard
newsreaders features and also supports offline reading,
scoring and killfiles, yEnc, NZB, PGP handling, multiple
servers, and secure connections. It is also the only Unix
newsreader to get a perfect score on the Good Net-Keeping
Seal of Approval evaluations.

%prep
%setup -q

sed -i -e 's|StartupNotify=false|StartupNotify=true|' %{name}.desktop.in

%build
%configure --without-gtk3 --with-gnutls \
    --with-dbus --with-gmime-crypto \
    --with-gtkspell --enable-libnotify \
    --enable-gkr --enable-manual

make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

%find_lang %{name} --with-gnome

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/%{name}.appdata.xml

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%post
/usr/bin/update-desktop-database &> /dev/null || :

/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :

if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc AUTHORS NEWS README
%license COPYING COPYING-DOCS
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/*/apps/pan.png
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/pan.1*

%changelog
* Wed Feb 14 2018 Petr Kovar <pkovar@redhat.com> - 1:0.144-1
- Initial packaging for EPEL
- Import sources from pan-0.144-2.fc28.src.rpm
